For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/workflow/automations/patch-api-workflow-v1automations-by-automation_id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Update automation

PATCH
/api/workflow/v1/automations/:automation_id
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { automation, automationError } = await reloop.automations.update("auto_123456789", {
6 name: "Welcome series",
7 description: "Greets new sign-ups",
8});
9if (automationError) throw automationError;
1{
2 "id": "auto_123456789",
3 "organizationId": "org_123456789",
4 "name": "Welcome",
5 "description": "Greets new sign-ups",
6 "status": "active",
7 "triggerEvent": "trigger.user.signed_up",
8 "steps": [
9 {
10 "key": "start",
11 "type": "trigger",
12 "config": {
13 "eventName": "trigger.user.signed_up"
14 }
15 },
16 {
17 "key": "is_pro",
18 "type": "condition",
19 "config": {
20 "type": "rule",
21 "field": "trigger.plan",
22 "operator": "eq",
23 "value": "pro"
24 }
25 },
26 {
27 "key": "welcome_pro",
28 "type": "send_email",
29 "config": {
30 "template": {
31 "id": "tmpl_123456789"
32 }
33 }
34 },
35 {
36 "key": "wait",
37 "type": "delay",
38 "config": {
39 "amount": 1,
40 "unit": "days"
41 }
42 },
43 {
44 "key": "welcome_free",
45 "type": "send_email",
46 "config": {
47 "template": {
48 "id": "tmpl_987654321"
49 }
50 }
51 }
52 ],
53 "connections": [
54 {
55 "from": "start",
56 "to": "is_pro",
57 "type": "default"
58 },
59 {
60 "from": "is_pro",
61 "to": "welcome_pro",
62 "type": "condition_met"
63 },
64 {
65 "from": "is_pro",
66 "to": "wait",
67 "type": "condition_not_met"
68 },
69 {
70 "from": "wait",
71 "to": "welcome_free",
72 "type": "default"
73 }
74 ],
75 "graph": {
76 "nodes": [],
77 "edges": []
78 },
79 "activeVersionId": "autov_123456789",
80 "createdAt": "2026-03-23T10:00:00.000Z",
81 "updatedAt": "2026-03-23T10:00:00.000Z"
82}

Path Parameters

automation_idstringRequired

Automation ID (auto_...)

  • Minimum length: 1

Body Parameters

namestring

Automation name

  • Minimum length: 1
  • Maximum length: 255
descriptionstring | null

Description, or null to clear it

graphobject

Used by the dashboard editor. Send steps and connections instead.

graph properties
nodesobject[]Required
nodes properties
idstringRequired
typestringRequired
positionobjectRequired
position properties
xnumberRequired
ynumberRequired
dataobjectRequired
edgesobject[]Required
edges properties
idstringRequired
sourcestringRequired
targetstringRequired
sourceHandlestring | null
targetHandlestring | null
typestring
dataobject
stepsobject[]

Replaces all steps (send `connections` with it).

steps properties
keystringRequired

Unique key for this step, used by connections (1-64 letters, numbers, _ or -).

typestringRequired

"trigger", "send_email", "delay" or "condition".

configobject

trigger: { eventName }. send_email: { template: { id }, from?, subject? }. delay: { amount, unit }. condition: { type: "rule", field, operator, value } or { type: "and" | "or", rules }.

connectionsobject[]

Replaces all connections (send `steps` with it).

connections properties
fromstringRequired

Key of the step this connection leaves.

tostringRequired

Key of the step it leads to.

typestring

"default" (the default), or "condition_met" / "condition_not_met" from a condition step.

status"active" | "paused"

Possible values: active | paused

Was this page helpful?